server:
  port: 8000
management:
  endpoints:
    web:
      exposure:
        include: [ "info", "beans", "health", "metrics", "prometheus", "circuitbreakers", "caches", "env" ]
spring:
  profiles: default
  cloud:
    gateway:
      default-filters:
        - DedupeResponseHeader=Access-Control-Allow-Credentials Access-Control-Allow-Origin
      globalcors:
        corsConfigurations:
          '[/**]':
            allowedOrigins: [ "http://localhost:3000","http://localhost:3001","http://127.0.0.1:3000" ]
            allowedMethods: [ "GET", "PUT", "POST", "DELETE", "OPTIONS" ]
            allowedHeaders: [ "Authorization", "content-type" ]
      routes:
        - id: discovery-server
          uri: http://localhost:8761
          predicates:
            - Path=/eureka/web
          filters:
            - SetPath=/
        - id: discovery-server-static
          uri: http://localhost:8761
          predicates:
            - Path=/eureka/**

        - id: artist-service
          uri: lb://artist-service/
          predicates:
            - Path=/artist/**
          filters:
            - StripPrefix=1

        - id: user-service
          uri: lb://user-service/
          predicates:
            - Path=/user/**
          filters:
            - StripPrefix=1

  security:
    oauth2:
      resourceserver:
        jwt:
          issuer-uri: http://localhost:8080/auth/realms/qt3music
          jwk-set-uri: http://localhost:8080/realms/qt3music/protocol/openid-connect/certs
      client:
        provider:
          keycloak:
            issuer-uri: http://localhost:8080/auth/realms/qt3music
            token-uri: http://localhost:8080/auth/realms/qt3music/protocol/openid-connect/token
            user-info-uri: http://localhost:8080/auth/realms/qt3music/protocol/openid-connect/userinfo
            jwk-set-uri: http://localhost:8080/auth/realms/qt3music/protocol/openid-connect/certs
            user-info-authentication-method: header
            user-name-attribute: preferred_username
        registration:
          keycloak:
            client-id: qt3music-client
            scope: openid

eureka:
  client:
    serviceUrl:
      defaultZone: http://admin:admin@localhost:8761/eureka
  instance:
    instance-id: ${spring.application.name}:${random.uuid}
---
server:
  port: 8000
management:
  endpoints:
    web:
      exposure:
        include: [ "info", "beans", "health", "metrics", "prometheus", "circuitbreakers", "caches", "env" ]

spring:
  config:
    activate:
      on-profile: docker
  cloud:
    kubernetes:
      loadbalancer:
        mode: service
      discovery:
        all-namespaces: true
#      secrets:
#        enable-api: true
    gateway:
      default-filters:
        - DedupeResponseHeader=Access-Control-Allow-Credentials Access-Control-Allow-Origin
      globalcors:
        corsConfigurations:
          '[/**]':
            allowedOrigins: [ "http://kc:3000","http://localhost:3000","http://localhost:3001","http://127.0.0.1:3000" ]
            allowedMethods: [ "GET", "PUT", "POST", "DELETE", "OPTIONS" ]
            allowedHeaders: [ "Authorization", "content-type" ]
      routes:
        - id: discovery-server
          uri: http://discovery-server:8761
          predicates:
            - Path=/eureka/web
          filters:
            - SetPath=/
        - id: discovery-server-static
          uri: http://discovery-server:8761
          predicates:
            - Path=/eureka/**

        - id: artist-service
          uri: lb://artist-service/
          predicates:
            - Path=/artist/**
          filters:
            - StripPrefix=1

        - id: user-service
          uri: lb://user-service/
          predicates:
            - Path=/user/**
          filters:
            - StripPrefix=1

  security:
    oauth2:
      resourceserver:
        jwt:
          issuer-uri: http://keycloak:8080/auth/realms/qt3music
          jwk-set-uri: http://keycloak:8080/realms/qt3music/protocol/openid-connect/certs
      client:
        provider:
          keycloak:
            issuer-uri: http://keycloak:8080/auth/realms/qt3music
            token-uri: http://keycloak:8080/auth/realms/qt3music/protocol/openid-connect/token
            user-info-uri: http://keycloak:8080/auth/realms/qt3music/protocol/openid-connect/userinfo
            jwk-set-uri: http://keycloak:8080/auth/realms/qt3music/protocol/openid-connect/certs
            user-info-authentication-method: header
            user-name-attribute: preferred_username
        registration:
          keycloak:
            client-id: qt3music-client
            scope: openid
  zipkin:
    baseUrl: http://zipkin-service:9411

eureka:
  client:
    serviceUrl:
      defaultZone: http://admin:admin@discovery-server:8761/eureka
  instance:
    instance-id: ${spring.application.name}:${random.uuid}
#ribbon:
#  eureka:
#    enabled: false
